name i2driver
page 60,120

;the following segment declarations are done first to make sure that
; the _DATA segment is last.  This, in combination with fip_firm.h being
; last in the linker's list of object files, puts the downloaded firmware
; at the end of the module, which then allows that space to be recovered
; in the dos driver's init routine.

_TEXT	segment byte public 'CODE'
_TEXT	ends

_BSS	segment word public 'BSS'
_BSS	ends

_DATA	segment word public 'DATA'
_DATA	ends

DGROUP	group _TEXT,_BSS,_DATA

	assume cs:DGROUP, ds:DGROUP

_TEXT	segment byte public 'CODE'

extrn C dos_strategy:near

extrn C dos_interrupt00:near
extrn C dos_interrupt01:near
extrn C dos_interrupt02:near
extrn C dos_interrupt03:near
extrn C dos_interrupt04:near
extrn C dos_interrupt05:near
extrn C dos_interrupt06:near
extrn C dos_interrupt07:near
extrn C dos_interrupt64:near
extrn C dos_interrupt65:near
extrn C dos_interrupt66:near
extrn C dos_interrupt67:near
extrn C dos_interrupt68:near
extrn C dos_interrupt69:near
extrn C dos_interrupt70:near
extrn C dos_interrupt71:near

	org 0h

	;support for up to 2 8-port boards

	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt00
	db 'IT000   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt01
	db 'IT001   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt02
	db 'IT002   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt03
	db 'IT003   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt04
	db 'IT004   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt05
	db 'IT005   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt06
	db 'IT006   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt07
	db 'IT007   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt64
	db 'IT064   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt65
	db 'IT065   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt66
	db 'IT066   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt67
	db 'IT067   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt68
	db 'IT068   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt69
	db 'IT069   '
	dw $+18, -1, 0c800h, offset dos_strategy, offset dos_interrupt70
	db 'IT070   '
	dw   -1, -1, 0c800h, offset dos_strategy, offset dos_interrupt71
	db 'IT071   '

_TEXT ends

_BSS	segment word public 'BSS'

;this following nonsense is required due to the prolog of
; "void interrupt i2_interrupt_handler (void)" in i2lib.c

DGROUP@	dw ?
public DGROUP@

_BSS	ends

	end
