#include <stdio.h>

/* makec.c */
/* program to convert an .lod download format file of downloaded code
	to a "c" array */

#define VERSION "1.00"

char buf[60000];

main (argc, argv)
int argc;
char **argv;

{
	FILE *infile;
	FILE *outfile;
	int i, j, k;
	int sizer;
	char char1;

	printf ("makec -- version %s\n", VERSION);
	if (argc != 3)
	{
usage:
		printf ("\n\007Usage -- makec in-filename out-filename\n");
		exit (1);
	}
	infile = fopen (argv[1], "rb");
	if (infile == NULL)
	{
		printf ("\n\007Error -- can't open input file %s\n", argv[1]);
		exit (1);
	}
	outfile = fopen (argv[2], "w");
	if (outfile == NULL)
	{
		printf ("\n\007Error -- can't open output file %s\n", argv[2]);
		exit (1);
	}
	sizer = fread (buf, 1, 32000, infile);
	if (sizer == 32000)
	{
		printf ("\n\007Error -- too many bytes in input file\n");
		exit (1);
	}
	fprintf (outfile, "unsigned char fip_firm[] = {\n");
	for (i=0; i<sizer; )
	{
		for (j=0; j<16; j++)
		{
			fprintf (outfile, "0x");
			char1 = (buf[i] >> 4) & 0xf;
			if (char1 < 10)
				fprintf (outfile, "%c", char1+'0');
			else
				fprintf (outfile, "%c", char1-10+'A');
			char1 = buf[i] & 0xf;
			if (char1 < 10)
				fprintf (outfile, "%c,", char1+'0');
			else
				fprintf (outfile, "%c,", char1-10+'A');
			i++;
		}
		fprintf (outfile, "\n");
	}
	fprintf (outfile, "0x00 };\n");
	exit (0);
}
